Organizational Research By

Surprising Reserch Topic

Question:I am getting the “no such file to load — openssl” error on OSX 10.7.5


I am getting the no such file to load — openssl error on OSX 10.7.5 in a Ruby on Rails environment.

I read all the related questions here on StackOverflow, but nothing worked for me.

Tried the following:

    Tried building with openssl specified. Did not work:

    rvm pkg install openssl
    rvm reinstall 1.9.2 --with-openssl-dir=$rvm_path/usr

    Also tried with the system's OpenSSL. Didn't work, too:

    which openssl
    /opt/local/bin/openssl
    rvm reinstall 1.9.2 --with-openssl-dir=/opt/local/bin

    3.Read that libyaml is required. I've already have it:

    brew install libyaml
    libyaml-0.1.4 already installed

Other info : My system has ruby version 1.8.7. Everything works (including load SSL) when I use that Ruby. But it is too old for some of the gems I am using. So, I have installed all other versions using RVM. I have also made the necessary environment changes. I tried all these steps with 1.9.2, 1.9.3 both. But same no such file to Load - OpenSSL error.

What am I missing?
asked Sep 13, 2013 in ANDROID by rajesh
edited Sep 12, 2013
0 votes
15 views



Related Hot Questions



Government Jobs Opening


...